Unable to flash CircuitPython onto MDK Dongle

I have attempted to install the CircuitPython firmware onto my device without success. My MDK came with the UF2 bootloader already installed, so I did have to convert the HEX. However my device simple reboots without showing the CP drive or any other indication that it was flashed successfully. I did test my device with the Blinky example successfully, so I know that my device is functional.

i have the same problem, i tried to connect using serial (as instructed in micropython doc) and i got nothing can any one update the doc ? or halp ?

i have also problems with the nrf52840 mdk usb dongle. The flashing process is taking forever. I have tried this guide https://github.com/adafruit/circuitpython/tree/main/ports/nrf/boards/makerdiary_nrf52840_mdk_usb_dongle#flash-the-nrf52-radio-soft-device , but I get only this message 2020-09-01 20:03:51,062 No trigger interface found for device with serial number: C96088918EFD, Product ID: 0xCAFE and Vendor ID: 0x1915 and after that nothing happens any more. I’m also not sure if I have to press the reset button when I plug the dongle in. Does someone have any advice ??

he funny thing was happening right now. I have tried at again,but pressed the reset/user butten and I got a new error
Command:
sudo nrfutil dfu usb-serial -pkg dfu_sd140-6.1.0.zip -p /dev/ttyACM0

Error:
sudo nrfutil dfu usb-serial -pkg dfu_sd140-6.1.0.zip -p /dev/ttyACM0

Traceback (most recent call last):
File “/usr/lib/python3.8/site-packages/nordicsemi/dfu/dfu_transport_serial.py”, line 197, in open
self.__ensure_bootloader()
File “/usr/lib/python3.8/site-packages/nordicsemi/dfu/dfu_transport_serial.py”, line 326, in __ensure_bootloader
trigger.enter_bootloader_mode(device)
File “/usr/lib/python3.8/site-packages/nordicsemi/dfu/dfu_trigger.py”, line 171, in enter_bootloader_mode
libusb_device = self.select_device(listed_device)
File “/usr/lib/python3.8/site-packages/nordicsemi/dfu/dfu_trigger.py”, line 133, in select_device
handle = nordic_device.open()
File “/usr/lib/python3.8/site-packages/usb1/init.py”, line 2171, in open
mayRaiseUSBError(libusb1.libusb_open(self.device_p, byref(handle)))
File “/usr/lib/python3.8/site-packages/usb1/init.py”, line 133, in mayRaiseUSBError
__raiseUSBError(value)
File “/usr/lib/python3.8/site-packages/usb1/init.py”, line 125, in raiseUSBError
raise __STATUS_TO_EXCEPTION_DICT.get(value, __USBError)(value)
usb1.USBErrorIO: LIBUSB_ERROR_IO [-1]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/yannes/.local/bin/nrfutil”, line 33, in
sys.exit(load_entry_point(‘nrfutil==6.1.0’, ‘console_scripts’, ‘nrfutil’)())
File “/usr/lib/python3.8/site-packages/click/core.py”, line 829, in call
return self.main(*args, **kwargs)
File “/usr/lib/python3.8/site-packages/click/core.py”, line 782, in main
rv = self.invoke(ctx)
File “/usr/lib/python3.8/site-packages/click/core.py”, line 1259, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/usr/lib/python3.8/site-packages/click/core.py”, line 1259, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/usr/lib/python3.8/site-packages/click/core.py”, line 1066, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “/usr/lib/python3.8/site-packages/click/core.py”, line 610, in invoke
return callback(*args, **kwargs)
File “/usr/lib/python3.8/site-packages/nordicsemi/main.py”, line 1014, in usb_serial
do_serial(package, port, connect_delay, flow_control, packet_receipt_notification, baud_rate, serial_number, False,
File “/usr/lib/python3.8/site-packages/nordicsemi/main.py”, line 970, in do_serial
dfu.dfu_send_images()
File “/usr/lib/python3.8/site-packages/nordicsemi/dfu/dfu.py”, line 119, in dfu_send_images
self._dfu_send_image(self.manifest.softdevice)
File “/usr/lib/python3.8/site-packages/nordicsemi/dfu/dfu.py”, line 88, in _dfu_send_image
self.dfu_transport.open()
File “/usr/lib/python3.8/site-packages/nordicsemi/dfu/dfu_transport_serial.py”, line 203, in open
“. Reason: {1}”.format(self.com_port, e.strerror))
AttributeError: ‘USBErrorIO’ object has no attribute ‘strerror’